/* -*- Mode: C; c-basic-offset: 4 -*- */
#include <config.h>
#include "render_metapost.h"
#include "intl.h"
#include "filter.h"
#include "plug-ins.h"

DIA_PLUGIN_CHECK_INIT

PluginInitResult
dia_plugin_init(PluginInfo *info)
{
  if (!dia_plugin_info_init(info, "Metapost",
			    _("TeX Metapost export filter"), NULL, NULL))
    return DIA_PLUGIN_INIT_ERROR;

  filter_register_export(&metapost_export_filter);

  return DIA_PLUGIN_INIT_OK;
}
